--
-- AccidentWarningOverlay
-- by Blacky_BPG
--

AccidentWarningDisplay = {};
AccidentWarningDisplay.moddir=g_currentModDirectory;

function AccidentWarningDisplay:loadMap(name)
	if g_newGUISkin then
		g_currentMission.AccidentWarningOverlay = createImageOverlay(Utils.getFilename("huds/OverlayWarning_ngs.dds", AccidentWarningDisplay.moddir));
	else
		g_currentMission.AccidentWarningOverlay = createImageOverlay(Utils.getFilename("huds/OverlayWarning.dds", AccidentWarningDisplay.moddir));
	end;
	self.numWarnings = 0;
end;

function AccidentWarningDisplay:deleteMap()
end;

function AccidentWarningDisplay:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AccidentWarningDisplay:keyEvent(unicode, sym, modifier, isDown)
end;

function AccidentWarningDisplay:draw()
		local PosX = 0.33;
		local PosY = 0.975;
		local oPosY = 0.985
		local lJump = 0.014;
		local fSize = 0.0155;
		local msg = "";
		if g_currentMission.accidentWarnings ~= nil and table.getn(g_currentMission.accidentWarnings) > 0 then
			if self.numWarnings > 0 then
				renderOverlay(g_currentMission.AccidentWarningOverlay, PosX-0.002, 1 - (fSize * self.numWarnings) - lJump, PosX - 0.02, self.numWarnings * fSize + lJump);
			end;
			self.numWarnings = 0;
			for a,b in pairs(g_currentMission.accidentWarnings) do
				if b ~= nil then
					local sFuel = false;
					local sGrain = false;
					local sSeed = false;
					local sFert = false;
					local sOil = false;
					if b.id ~= nil and (b.name ~= nil and b.name ~= "deleted") then
						msg = b.name.." ";
						if b.fuel < 15.1 and b.fuel > -1 then
							sFuel = true;
							msg = msg.."  "..g_i18n:getText("diesel").." "..tostring(b.fuel).."% ";
						end;
						if b.oil ~= nil and b.oil <= 90 then
							local oilfactor = b.oil;
							if oilfactor < 0 then
								oilfactor = 0;
							end;
							sOil = true;
							msg = msg.."  "..g_i18n:getText("oilWarning").." "..string.format("%.1f", oilfactor).." Min.";
						end;
						if b.fert < 15.1 and b.fert > -1 then
							sFert = true;
							msg = msg.."  "..g_i18n:getText("fert").." "..tostring(b.fert).."% ";
						end;
						if b.grain > 89.99 then
							sGrain = true;
							msg = msg.."  "..g_i18n:getText("grain").." "..tostring(b.grain).."% ";
						end;
						if b.seed < 10.1 and b.seed > -1 then
							sSeed = true;
							msg = msg.."  "..g_i18n:getText("seed").." "..tostring(b.seed).."% ";
						end;
						if sFuel == true or sGrain == true or sSeed == true or sFert == true or sOil == true then
							self.numWarnings = self.numWarnings + 1;
							msg = msg.." ";
							setTextAlignment(RenderText.ALIGN_LEFT);
							setTextBold(false);
							if sFuel == true or sOil == true then
								setTextColor(1,0.5,0,1);
							end;
							if sGrain == true or sSeed == true or sFert == true then
								setTextColor(1,1,0,1);
							end;
							if (sGrain == true or sSeed == true or sFert == true) and (sFuel == true or sOil == true) then
								setTextColor(1,0,0,1);
							end;
							renderText(PosX, PosY, fSize, msg);
							PosY = PosY - lJump;
							setTextColor(1,1,1,1);
							setTextBold(false);
							sFuel = false;
							sGrain = false;
							sFert = false;
							sSeed = false;
						end;
					end;
				end;
			end;
		end;
end;

function AccidentWarningDisplay:update(dt)
end;

addModEventListener(AccidentWarningDisplay);

